
/*
	Project Specific Styling
*/

/* -- login -- */
.body-sign .logo {
	margin-top: 15px;
}


/* -- menu -- */
html.no-overflowscrolling .nano > .nano-pane {
	width: 8px;
}

/* -- accordions -- */
html .accordion.nested-primary .card-header {
	background-color: #dddab7;
}
html .accordion.nested-primary .card-header a {
	color: #0d220d;
}
html .accordion.nested-primary .card,
html .accordion.nested-primary .card .car-body {
	background-color: #F9F9FA;
}
html .accordion.accordion-sm .card-body {
	font-size: 12px;
	border-right: solid 2px #F8F8F8;
	border-bottom: solid 2px #F8F8F8;
	border-left: solid 2px #F8F8F8;
}
html .accordion.nested-primary .accordion .card-header {
	background-color: #e3e1c5;
}
html .accordion.nested-primary .accordion .accordion .card-header {
	background-color: #eae9d4;
}
html .accordion.nested-primary .accordion .accordion .accordion .card-header {
	background-color: #f1f0e2;
}
html .accordion.nested-primary .accordion .accordion .accordion .accordion .card-header {
	background-color: #f8f8f1;
}
html .accordion .card-header.danger {
	background-color: #e15249;
}
html .accordion .card-header.danger a {
	color: #FFF;
}
html .accordion .card-header.success {
	background-color: #83b582;
}
html .accordion .card-header.success a {
	color: #FFF;
}


/* -- tabs -- */
.scrollable.tabs:not(.tabs-vertical) > .nav-tabs {
	overflow-x: auto;
	overflow-y: hidden;
	flex-wrap: nowrap;
}
.scrollable.tabs:not(.tabs-vertical) > .nav-tabs > .nav-item {
	white-space: nowrap;
}

/* -- modals -- */
.modal-header button {
	display: none;
}
.modal-header h5 {
	font-weight: bold;
	font-size: 15px;
	margin: 0;
}


/* -- icons -- */
.hover-icon-cursor-pointer {
	cursor: pointer;
}


/* -- text -- */
.h7, .h8 {
	margin-bottom: .5rem;
	font-weight: 500;
	line-height: 1.2;
}
.h7 {
	font-size: 0.9rem;
}
.h8 {
	font-size: 0.8rem;
}
.text-grey {
	color: #CCC;
}

/* -- background-colors -- */
.bg-custom-lightgrey {
	background-color: #f2f6f5;
}

/* -- selects -- */
.multiselect-native-select > .btn-group {
	width: 100%;
}
.multiselect-native-select .multiselect.dropdown-toggle {
	width: 100%;
	text-align: left;
	padding: 4px 5px;
	margin: 1px;
	font-size: 0.75rem;
}
.multiselect-native-select .multiselect.dropdown-toggle span {
	width: 100%;
	display: inline-block;
}
.multiselect-native-select .multiselect.dropdown-toggle::after {
	position: relative;
	left: -15px;
}
.multiselect-container li {
	margin-bottom: 0;
	font-size: 0.75rem;
}


/* -- fixes -- */
.sidebar-left .sidebar-header .sidebar-title {
	color: #FFF;
}
.page-header .breadcrumbs {
	margin-right: 15px;
}
.content-body.card-margin .card.no-t-mrg {
	margin-top: 0;
}
html .bg-light {
	background-color: #fafafa !important;
}
.modal-xl {
	max-width: 1140px;
}

/* -- scrollable fixes -- */
.modal-dialog-centered.modal-dialog-scrollable {
	-ms-flex-direction: column;
	flex-direction: column;
	-ms-flex-pack: center;
	justify-content: center;
	height: 100%;
}

.modal-dialog-centered.modal-dialog-scrollable .modal-content {
	max-height: none;
}

.modal-dialog-centered.modal-dialog-scrollable::before {
	content: none;
}

.modal-dialog-scrollable {
	display: -ms-flexbox;
	display: flex;
	max-height: calc(100% - 1rem);
}
.modal-dialog-scrollable .modal-content {
	max-height: calc(100vh - 1rem);
	overflow: hidden;
}

.modal-dialog-scrollable .modal-header,
.modal-dialog-scrollable .modal-footer {
	-ms-flex-negative: 0;
	flex-shrink: 0;
}
.modal-dialog-scrollable .modal-body {
	overflow-y: auto;
}
@media (min-width: 576px) {
	.modal-dialog {
		max-width: 500px;
		margin: 1.75rem auto;
	}
	.modal-dialog-scrollable {
		max-height: calc(100% - 3.5rem);
	}
	.modal-dialog-scrollable .modal-content {
		max-height: calc(100vh - 3.5rem);
	}
	.modal-dialog-centered {
		min-height: calc(100% - 3.5rem);
	}
	.modal-dialog-centered::before {
		height: calc(100vh - 3.5rem);
	}
	.modal-sm {
		max-width: 300px;
	}
}
/* -- with -- */
@media (min-width: 992px) {
	.modal-lg,
	.modal-xl {
		max-width: 800px;
	}
}

@media (min-width: 1200px) {
	.modal-xl {
		max-width: 1140px;
	}
}


/* -- staging-colors -- */
body.is-staging .page-header {
	background-color: #3e206d;
}
html.no-overflowscrolling body.is-staging .sidebar-left .nano {
	background-color: #3e206d;
}
body.is-staging ul.nav-main > li.nav-expanded > a {
	background-color: #3e206d;
}
body.is-staging .sidebar-left .sidebar-header .sidebar-title {
	background-color: #3e206d;
}
body.is-staging .sidebar-left .sidebar-header .sidebar-toggle {
	background-color: #3e206d;
}
body.is-staging ul.nav-main li .nav-children {
	background-color: #381460;
}
body.is-staging ul.nav-main li a {
	color: #FFF;
}
.staging-badge {
	background-color: #FF0000;
	box-shadow: 0 0 3px 2px rgba(0,0,0,0.8);
	top: -35px;
	left: -70px;
	width: 180px;
	height: 100px;
	position: absolute;
	z-index: 999999;

	-webkit-transform: rotate(-45deg);
}
.staging-badge span {
	color: #FFFFFF;
	font-family: sans-serif;
	font-size: 16px;
	bottom: 5px;
	position: absolute;
	text-align: center;
	width: 180px;
}

/*
	Project Specific Styling
*/


/* -- label -- */
form .control-label.text-sm-right {
	text-align: left !important;
	padding-left: 30px;
}


/* -- validation -- */
.form-group label i {
	font-style: normal;
	color: red;
}


/* -- view -- */
.row.form-view-row {
	margin-top: 10px;
}
.form-groups-sm .form-group {
	margin-bottom: 2px;
}
.form-control:not(.form-control-lg) {
	line-height: normal;
}
/* -- typeahead -- */
.tt-query {
	-webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	-moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
	box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}
.tt-hint {
	color: #999;
}
.tt-menu {
	width: 350px;
	margin: 16px 0;
	padding: 8px 0;
	background-color: #fff;
	border: 1px solid #ccc;
	border: 1px solid rgba(0, 0, 0, 0.2);
	-webkit-border-radius: 8px;
	-moz-border-radius: 8px;
	border-radius: 8px;
	-webkit-box-shadow: 0 5px 10px rgba(0,0,0,.2);
	-moz-box-shadow: 0 5px 10px rgba(0,0,0,.2);
	box-shadow: 0 5px 10px rgba(0,0,0,.2);
}
.tt-suggestion {
	padding: 3px 20px;
	font-size: 12px;
}
.tt-suggestion:hover {
	cursor: pointer;
	color: #fff;
	background-color: #0097cf;
}
.tt-suggestion.tt-cursor {
	color: #fff;
	background-color: #0097cf;
}
.tt-suggestion p {
	margin: 0;
}
.gist {

}

/* -- multi-select -- */
.multiselect-native-select .multiselect.dropdown-toggle {
	font-size: .85rem;
	line-height: 1.85;
	padding: 6px 5px;
	margin: 1px;
}
.multiselect-native-select .multiselect-selected-text {
	padding-left: 8px;
}

/* -- fixes -- */
html .btn-secondary:active,
html .btn-secondary.active,
.show > html .btn-secondary.dropdown-toggle {
	-webkit-box-shadow: none !important;
	box-shadow: none !important;
}

@keyframes spinner {
	to { transform: rotate(360deg); }
}
	
.spinner-loader {
	width: 25px;
	height: 25px;
	border-radius: 50%;
	border: 2px solid #f3f3f3;
	border-top: 2px solid #3498db;
	animation: spinner 0.8s linear infinite;
}


/* -- datatables -- */
table th.is-date {
	width: 100px;
}
table th.is-datetime {
	width: 140px;
}
table th.is-status {
	width: 120px;
}
table th.is-action {
	width: 120px;
}
table.has-action-clm tbody tr td:last-child {

}
.table th, .table td {
	padding: 0.50rem;
}

.table th, .table td.no-wrap {
	white-space: nowrap;
}

.table td label {
	margin-bottom: 0;
}


/* -- customization -- */
div.dataTables_wrapper div.dataTables_paginate i {
	float: left;
	margin-top: 10px;
}


/* -- sorting -- */
div.dataTables_wrapper .is-clm-filter::before { display: none!important; }
div.dataTables_wrapper .is-clm-filter::after { display: none!important; }
div.dataTables_wrapper table thead tr:first-child th {
	background-color: #f6f6f6;
}
div.dataTables_wrapper table thead th.is-clm-filter {
	padding: 0.50rem !important;
	/*pointer-events: none !important;
	cursor: default !important;*/
}
.table-bordered thead tr:not(:last-child) th {
	border-bottom-width: 1px;
}
/*div.dataTables_wrapper table thead th.no-sort input {
	background-image: url(../img/filter-icon-20.png);
	background-position: 98% center;
	background-repeat: no-repeat;
	background-size: 15px;
}*/
table.dataTable tr.inactive td {
	opacity: 0.8;
	color: #848484;
}
table.dataTable thead tr th select {
	padding: 2px;
}
table.dataTable thead tr th select option:first-child {
	color: grey;
}


/* -- details-table -- */
#datatable-details > thead > tr > th:first-child {
	width: 50px;
}


/* -- ajax-table -- */
#datatable-serverside-ajax tbody tr td {
	white-space: nowrap;
}

/* -- sub-tables -- */
table.table-bordered.dataTable .is-sub-table-cont {

}
table.table-bordered.dataTable .is-sub-table thead tr > th {
	width: 40%;
}
table.table-bordered.dataTable .is-sub-table thead tr > th:first-child {
	width: 20%;
}
table.table-bordered.dataTable .is-sub-table tr > th,
table.table-bordered.dataTable .is-sub-table tr > td {
	padding: 3px 5px;
}
table.table-bordered.dataTable .is-sub-table tr > th:first-child,
table.table-bordered.dataTable .is-sub-table tr > td:first-child {
	border-left: 1px solid #dee2e6;
}
table.table-bordered.dataTable .is-sub-table tr > th:last-child,
table.table-bordered.dataTable .is-sub-table tr > td:last-child {
	border-right: 1px solid #dee2e6;
	border-right-width: 1px;
}
table.table-bordered.dataTable .is-sub-table tr:last-child > th,
table.table-bordered.dataTable .is-sub-table tr:last-child > td {
	border-bottom: 1px solid #dee2e6;
}
table.table-bordered.dataTable .is-sub-table tbody tr td:first-child {
	font-weight: bold;
}
#datatable-serverside-ajax_processing {
	position: fixed;
	top: 49%;
}


/* -- widths -- */
table th.width-20 { width: 20px; }
table th.width-25 { width: 25px; }
table th.width-30 { width: 30px; }
table th.width-35 { width: 35px; }
table th.width-40 { width: 40px; }
table th.width-45 { width: 45px; }
table th.width-50 { width: 50px; }
table th.width-55 { width: 55px; }
table th.width-60 { width: 60px; }
table th.width-65 { width: 65px; }
table th.width-70 { width: 70px; }
table th.width-75 { width: 75px; }
table th.width-80 { width: 80px; }
table th.width-85 { width: 85px; }
table th.width-90 { width: 90px; }
table th.width-95 { width: 95px; }
table th.width-100 { width: 100px; }
table th.width-105 { width: 105px; }
table th.width-110 { width: 110px; }
table th.width-115 { width: 115px; }
table th.width-120 { width: 120px; }
table th.width-125 { width: 125px; }
table th.width-130 { width: 130px; }
table th.width-135 { width: 135px; }
table th.width-140 { width: 140px; }
table th.width-145 { width: 145px; }
table th.width-150 { width: 150px; }
table th.width-155 { width: 155px; }
table th.width-160 { width: 160px; }
table th.width-165 { width: 165px; }
table th.width-170 { width: 170px; }
table th.width-175 { width: 175px; }
table th.width-180 { width: 180px; }
table th.width-185 { width: 185px; }
table th.width-190 { width: 190px; }
table th.width-195 { width: 195px; }
table th.width-200 { width: 200px; }




/* -- elements -- */
.clr-red		{ color: red; }
.clr-green		{ color: green; }
.clr-white		{ color: white; }

.fnt-b		{ font-weight: bold; }
.fnt-i		{ font-style: italic; }

.width-15 { width: 15px; }
.width-20 { width: 20px; }
.width-25 { width: 25px; }
.width-50 { width: 50px; }
.width-75 { width: 75px; }
.width-100 { width: 100px; }
.width-125 { width: 125px; }
.width-150 { width: 150px; }
.width-175 { width: 175px; }
.width-200 { width: 200px; }
.width-225 { width: 225px; }
.width-250 { width: 250px; }
.width-275 { width: 275px; }
.width-300 { width: 300px; }
.width-325 { width: 325px; }
.width-350 { width: 350px; }
.width-375 { width: 375px; }
.width-400 { width: 400px; }
.width-425 { width: 425px; }
.width-450 { width: 450px; }
.width-475 { width: 475px; }
.width-500 { width: 500px; }

.lh-20		{ line-height: 20px; }
.lh-25		{ line-height: 25px; }
.lh-30		{ line-height: 30px; }
.lh-35		{ line-height: 35px; }
.lh-40		{ line-height: 40px; }
.lh-45		{ line-height: 45px; }
.lh-50		{ line-height: 50px; }
.lh-55		{ line-height: 55px; }
.lh-60		{ line-height: 60px; }
.lh-65		{ line-height: 65px; }

.fnt-s-10	{ font-size: 10px; }
.fnt-s-12	{ font-size: 12px; }
.fnt-s-14	{ font-size: 14px; }
.fnt-s-16	{ font-size: 16px; }
.fnt-s-18	{ font-size: 18px; }
.fnt-s-20	{ font-size: 20px; }
.fnt-s-22	{ font-size: 22px; }
.fnt-s-24	{ font-size: 24px; }
.fnt-s-26	{ font-size: 26px; }
.fnt-s-28	{ font-size: 28px; }
.fnt-s-30	{ font-size: 30px; }
.fnt-s-32	{ font-size: 32px; }
.fnt-s-34	{ font-size: 34px; }
.fnt-s-36	{ font-size: 36px; }
.fnt-s-38	{ font-size: 38px; }
.fnt-s-40	{ font-size: 40px; }
.fnt-s-42	{ font-size: 42px; }
.fnt-s-44	{ font-size: 44px; }
.fnt-s-46	{ font-size: 46px; }
.fnt-s-48	{ font-size: 48px; }
.fnt-s-50	{ font-size: 50px; }
.fnt-s-60	{ font-size: 60px; }
.fnt-s-70	{ font-size: 70px; }
.fnt-s-80	{ font-size: 80px; }
.fnt-s-90	{ font-size: 90px; }
.fnt-s-100	{ font-size: 100px; }


/* -- page-header -- */
.card-header.has-actions .card-title {

}
.card-header.has-actions .dropdown-menu {
    padding: 0;
}
.card-header.has-actions .dropdown-menu .dropdown-item {
    font-size: 0.8rem;
}

/* -- tabs -- */
.nav-tabs .nav-item.disabled .nav-link {
    border-top: 3px solid #EEE;
    color: #CCC;
}
.nav-tabs .nav-item.disabled .nav-link:hover,
.nav-tabs .nav-item.disabled .nav-link:active,
.nav-tabs .nav-item.disabled .nav-link:visited {
    border-top: 3px solid #EEE;
    color: #CCC;
}
.nav-tabs .nav-item.border-danger .nav-link,
.nav-tabs .nav-item.border-danger .nav-link:hover,
.nav-tabs .nav-item.border-danger .nav-link:active,
.nav-tabs .nav-item.border-danger .nav-link:visited {
    border-top: 3px solid #F00 !important;
}
html body .tabs .tabs-secondary.tabs-vertical.tabs-left li.active .nav-link,
html body .tabs .tabs-secondary.tabs-vertical.tabs-left li.active .nav-link:hover,
html body .tabs .tabs-secondary.tabs-vertical.tabs-left li .nav-link:hover,
html body .tabs .tabs-secondary.tabs-vertical.tabs-left li.active .nav-link:focus {
    border-left-color: #e36159;
}


/* -- tree-view -- */
.node.text-white p {
    color: #FFF;
}

/* -- api -- */
.api-response-container {
    border: solid 1px #CCC;
    -webkit-border-radius: 5px 5px 5px 5px;
    border-radius: 5px 5px 5px 5px;
    background-color: #FAFAFA;
    color: #333;
    padding: 10px;
    height: 350px;
    max-height: 350px;
    overflow-y: scroll;
    overflow-x: hidden;
    display: none;
    word-wrap: break-word;
    overflow-wrap: break-word;
}
.api-response-container.success {
    background-color: #F0F9E9;
}


/* -- treant -- */
.Treant {
	padding-bottom: 20px !important;
}
.Treant.Treant-loaded .node, .Treant.Treant-loaded .pseudo {
	white-space: nowrap;
}

/* -- gallery -- */
.bootstrap-file-input-display-grid .is-thumb-cont {
	display: inline-block;
	position: relative;
}
.bootstrap-file-input-display-grid .is-thumb-cont img {
	height: 100px;
}
.bootstrap-file-input-display-grid .is-thumb-cont .is-img-del-btn {
	margin: 0;
	padding: 2px;
	font-size: 11px;
	position: absolute;
	bottom: 0;
	width: 100%;
	z-index: 999;
	color: #FFF;
	background-color: rgba(225, 82, 73, 0.8);
	cursor: pointer;
}

/* -- files -- */
.bootstrap-file-input-display-grid .is-file-cont {
	display: inline-block;
	position: relative;
}
.bootstrap-file-input-display-grid .is-file-cont i {
	/*height: 100px;*/
}
.bootstrap-file-input-display-grid .is-file-cont .is-file-del-btn {
	margin: 0;
	padding: 2px;
	font-size: 11px;
	position: absolute;
	bottom: 0;
	width: 100%;
	z-index: 999;
	color: #FFF;
	background-color: rgba(225, 82, 73, 0.8);
	cursor: pointer;
}


/* -- content -- */
.content-file-thumb-cont .is-thumb-cont {
	position: relative;
}
.content-file-thumb-cont .is-thumb-cont .is-img-del-btn {
	margin: 0;
	padding: 2px;
	font-size: 11px;
	position: absolute;
	bottom: 0;
	width: 100%;
	z-index: 999;
	color: #FFF;
	background-color: rgba(225, 82, 73, 0.8);
	cursor: pointer;
}


/* -- dropdown-menu -- */
.dropdown-menu {
	height: auto;
	max-height: 450px;
	overflow-x: hidden;
}

/* -- elements -- */
.no-pad        { padding: 0; }
.no-mrg        { margin: 0; }
.is-hidden		{ display: none; }

hr.section {
    border: 0;
    border-bottom: 1px dashed #0088cc;
    background-image: none;
}


.mrg-t-5        { margin-top: 5px; }
.mrg-t-10       { margin-top: 10px; }
.mrg-t-15       { margin-top: 15px; }
.mrg-t-20       { margin-top: 20px; }
.mrg-t-25       { margin-top: 25px; }
.mrg-t-30       { margin-top: 30px; }


.preview-report-cont {
	line-height: 1;
	padding: 2em;
}

.preview-report-cont ol, .preview-report-cont ul {
	list-style: none;
}

.preview-report-cont blockquote, .preview-report-cont q {
	quotes: none;
}

.preview-report-cont blockquote:before,
.preview-report-cont blockquote:after,
.preview-report-cont q:before,
.preview-report-cont q:after {
	content: '';
	content: none;
}

.preview-report-cont table {
	border-collapse: collapse;
	border-spacing: 0;
}

.preview-report-cont {
	font-size: 14px; /* 1 */
	color: #000;
}

.preview-report-cont img {
	border: 0; /* 1 */
	-ms-interpolation-mode: bicubic; /* 2 */
	vertical-align: middle;
}

.preview-report-cont th, .preview-report-cont td {
	vertical-align: top;
	padding: 2px;
}

.preview-report-cont table.border {
	border: 1px solid #CCC;
	text-align: left;
	border-collapse: collapse;
}
.preview-report-cont table.border tr > td,
.preview-report-cont table.border tr > th {
	border: 1px solid #CCC;
	padding: 4px;
}
.preview-report-cont table.border th {
	background-color: #FAFAFA;
	border: 1px solid #CCC;
}
.preview-report-cont table.no-border {
	border: none;
}
.preview-report-cont table.no-border tr > td,
.preview-report-cont table.no-border tr > th {
	border: none;
}
.no-break {
	page-break-inside: avoid;
}

.preview-report-cont p {
	padding: 4px 0;
}

.preview-report-cont .text-center {
	text-align: center;
}
.preview-report-cont .top-logo {
	width: 200px;
	height: auto;
	object-fit: cover;
}
.preview-report-cont .shared-image {
	width: 200px;
	height: auto;
	object-fit: cover;
}
.preview-report-cont .mt-1 {

}
.preview-report-cont .p-1 {

}
.preview-report-cont h1 {
	font-size: 18px;
	font-weight: bold;
	border-bottom: solid 1px #000;
	padding: 2px;
}
.preview-report-cont h2 {
	font-size: 16px;
	font-weight: bold;
	border-bottom: solid 1px #000;
	padding: 2px;
}
.preview-report-cont h3 {
	font-size: 14px;
	font-weight: bold;
	border-bottom: solid 1px #000;
	padding: 2px;
}
.preview-report-cont h1,
.preview-report-cont h2,
.preview-report-cont h3,
.preview-report-cont h4,
.preview-report-cont h5 {
	margin-bottom: 5px;
}
.preview-report-cont .fnt-b,
.preview-report-cont table.fnt-b td {
	font-weight: bold;
}
.preview-report-cont .fnt-s-100,
.preview-report-cont table.fnt-s-100 td {
	font-size: 14px;
}
.preview-report-cont .bg-red {
	background-color: #ff0000;
	color: #FFF;
}
.preview-report-cont .bg-dark-red {
	background-color: #da2d2d;
	color: #FFF;
}
.preview-report-cont .bg-green {
	background-color: #3cb371;
	color: #FFF;
}
.preview-report-cont .bg-light-grey {
	background-color: #FAFAFA;
}
.preview-report-cont .bg-orange {
	background-color: #FFB319;
}
.preview-report-cont .bg-light-orange {
	background-color: #FFE194;
	color: #000;
}
.preview-report-cont .bg-yellow {
	background-color: #FFF47D;
	color: #000;
}
.preview-report-cont .bg-black {
	background-color: #000;
	color: #FFF;
}
.preview-report-cont .clr-red {
	color: #F00;
}
.preview-report-cont .clr-light-grey {
	color: #d4d7dd;
}
.preview-report-cont .text-center {
	text-align: center;
}
.preview-report-cont .chart-container {
	/*border: solid 1px #CCC;*/
	text-align: center;
	padding-top: 10px;
}
.preview-report-cont .chart-container h2 {
	border: none;
	text-align: center;
	margin: 0;
	padding: 0;
}
.preview-report-cont .chart-container img {
	width: 80%;
}
.preview-report-cont .border-none {
	border: none;
}
.preview-report-cont .big-alert {
	font-size: 150%;
	font-weight: bold;
	font-style: italic;
	text-align: center;
	color: red;
	margin-top: 30px;
}
